{% extends "dashboard/base.html" %}

{% load status_tags %}

{% block content %}

<h2>Per Device status</h2>

<div class="outer-div"><div class="inner-div">
    <div class="pipeline_result_table">
        <div class="dev_table_row">
            <div class="table_header">Device</div>
            <div class="table_header">Current</div>
            <div class="table_header">Failing since SHA</div>
            <div class="table_header">Last good SHA</div>
        </div>
        <div class="dev_table_row">
            {% for d in device_results %}
            <div class="device_cell bottom_line">
                {{d.name}}
            </div>

            <div class="{{d.last_run.status}} pipeline_cell bottom_line">
                <a class="hov" href="{{d.last_run.pipeline_result.mesa_url}}">
                    {{d.last_run.pipeline_result.mesa_sha | slice:":10"}}
                </a>
            </div>
            {% if d.first_bad_run %}
            <div class="{{d.first_bad_run.status}} pipeline_cell bottom_line">
                <a class="hov" href="{{d.first_bad_run.pipeline_result.mesa_url}}">
                    {{d.first_bad_run.pipeline_result.mesa_sha | slice:":10"}}
                </a>
            </div>
            {% else %}
            <div class="pass pipeline_cell bottom_line">
                all good
            </div>
            {% endif %}

            {% if d.last_good_run %}
            <div class="{{d.last_good_run.status}} pipeline_cell bottom_line">
                <a class="hov" href="{{d.last_good_run.pipeline_result.mesa_url}}">
                    {{d.last_good_run.pipeline_result.mesa_sha | slice:":10"}}
                </a>
            </div>
            {% else %}
            <div class="fail pipeline_cell bottom_line">
                no good runs yet
            </div>
            {% endif %}
            {% endfor %}
        </div>
    </div>
</div></div>

{% endblock content %}
